## org.h2.table
Class LinkSchema

    java.lang.Object
      org.h2.table.LinkSchema

    public class LinkSchema

extends java.lang.Object

A utility class to create table links for a whole schema.

Method Summary
`static java.sql.ResultSet` `linkSchema(java.sql.Connection conn, java.lang.String targetSchema, java.lang.String driver, java.lang.String url, java.lang.String user, java.lang.String password, java.lang.String sourceSchema)` Link all tables of a schema to the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### linkSchema

    public static java.sql.ResultSet linkSchema(java.sql.Connection conn,
                                                java.lang.String targetSchema,
                                                java.lang.String driver,
                                                java.lang.String url,
                                                java.lang.String user,
                                                java.lang.String password,
                                                java.lang.String sourceSchema)
                                         throws java.sql.SQLException

  Link all tables of a schema to the database.

  Parameters:
    `conn` - the connection to the database where the links are to be created
    `targetSchema` - the schema name where the objects should be created
    `driver` - the driver class name of the linked database
    `url` - the database URL of the linked database
    `user` - the user name
    `password` - the password
    `sourceSchema` - the schema where the existing tables are
  Returns:
    a result set with the created tables
  Throws:
    `java.sql.SQLException`